VIRTIO(4)

NAME
virtio - Para-virtualized I/O in a virtual machine

SYNOPSIS
virtio* at pci? dev ? function ?
ld* at virtio?
vioif* at virtio?
viomb* at virtio?

DESCRIPTION
virtio defines an interface for efficient, standard and extensible I/O between the hypervisor and the virtual machine. The virtio device driver represents an emulated PCI device that the hypervisor makes available to the virtual machine.

virtio driver itself provides the core infrastructure to communicate with the hypervisor (called virtqueues) and supports the following devices:

ld(4)
    A Disk device.

vioif(4)
    An Ethernet device.

viomb(4)
    A pseudo-device to release memory back to the hypervisor.

SEE ALSO
ld(4), pci(4), vioif(4), viomb(4)

Rusty Russell, IBM Corporation, Virtio PCI Card Specification, http://ozlabs.org/~rusty/virtio-spec/.

HISTORY
The virtio driver first appeared in NetBSD 6.0.